import Panel from '@/components/panel';
import Wrap from '@/components/wrap';
import dropdownBox from '@/components/dropdownBox';
import Page from '@/components/page';
import Flex from '@/components/flex';
import Sticky from '@/components/sticky';

const components = [
  Panel, Wrap, dropdownBox, Page, Flex, Sticky
];

const prefix = 'ym-';

const install = function(Vue, opts = {}) {
  if (install.installed) return;

  components.map(component => {
    Vue.component(prefix+component.name, component);
  });

};

export default {
  install,
  Panel,
  Wrap,
  dropdownBox,
  Page,
  Flex,
  Sticky
};
