// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'
import App from './App'
import router from './router'
import elementUI from 'element-ui'
import GobalComponents from '@/components'

import 'element-ui/lib/theme-default/index.css'

Vue.config.productionTip = false

Vue.use(elementUI)
Vue.use(GobalComponents)

/* eslint-disable no-new */
new Vue({
    el: '#app',
    router,
    template: '<App/>',
    components: { App }
})